<?php
/* ======================================================
 # Virtuemart Sales for Joomla! - v7.1.8 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/virtuemart-sales
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:54:31 AM
 ========================================================= */
defined('_JEXEC') or die;

class VMSalesControllervmsales extends JControllerLegacy
{
	public function &getModel($name = 'VMSales', $prefix = 'VMSalesModel', $config = array())
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));

		return $model;
	}

	public function goToURL()
	{
		// Get menu item
		$menu_item = JFactory::getApplication()->getMenu()->getItems( 'link', 'index.php?option=com_vmsales&view=vmsales', true );
		$default_menu_item_id = (!empty($menu_item)) ? $menu_item->id : '';
		
		// Get the variables from URL
		$get_datatype = JFactory::getApplication()->input->get('datatype', '', 'STRING');
		$get_orderby = JFactory::getApplication()->input->get('orderby', '', 'STRING');
		$get_category = JFactory::getApplication()->input->get('category', '', 'INT');
		$get_manufacturer = JFactory::getApplication()->input->get('manufacturer', '', 'INT');
		$get_search = JFactory::getApplication()->input->get('search', '', 'STRING');
		$get_menu_item_id = JFactory::getApplication()->input->get('Itemid', $default_menu_item_id, 'INT');
		
		// build menu item id with property
		$menu_item_id = '&Itemid='.$get_menu_item_id;
		
		$app = JFactory::getApplication();
		$input = $app->input;

        $app->setUserState('com_vmsales.vmsales.limitstart', 0);
		$input->set('limitstart', 0);

        $app->setUserState('com_vmsales.vmsales.filter.orderby', $get_orderby);
		$input->set('filter.orderby', $get_orderby);

		$app->setUserState('com_vmsales.vmsales.filter.datatype', $get_datatype);
		$input->set('filter.datatype', $get_datatype);

		$app->setUserState('com_vmsales.vmsales.filter.category', $get_category);
		$input->set('filter.category', $get_category);

		$app->setUserState('com_vmsales.vmsales.filter.manufacturer', $get_manufacturer);
		$input->set('filter.manufacturer', $get_manufacturer);

		$app->setUserState('com_vmsales.vmsales.filter.search', $get_search);
		$input->set('filter.search', $get_search);

		$this->setRedirect(JRoute::_('index.php?option=com_vmsales&view=vmsales'.$menu_item_id));
	}
}